# Medical Review Static Data

| **API URL**     | {{url}}/spice-service/static-data/medical-review?cultureId=1 |
| --------------- | ------------------------------------------------------------ |
| **Method**      | GET                                                          |
| **Description** | Medical review static data                                   |

#### **Input:** <a href="#medicalreviewstaticdata-input" id="medicalreviewstaticdata-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Sample Input:** <a href="#medicalreviewstaticdata-sampleinput" id="medicalreviewstaticdata-sampleinput"></a>

{

{{url}}/spice-service/static-data/medical-review?cultureId=1

}

#### **Sample Output:** <a href="#medicalreviewstaticdata-sampleoutput" id="medicalreviewstaticdata-sampleoutput"></a>

```
{
    "message": "Medical review static data fetched successfully.",
    "entity": {
        "comorbidity": [
            {
                "id": 1,
                "name": "TB",
                "displayOrder": 1,
                "cultureValue": "TB"
            },
            {
                "id": 2,
                "name": "Malaria",
                "displayOrder": 5,
                "cultureValue": "Malaria"
            }
        ],
        "complications": [
            {
                "createdBy": 1,
                "id": 1,
                "updatedBy": 1,
                "createdAt": "2023-05-23T12:15:19+00:00",
                "updatedAt": "2023-05-23T12:15:19+00:00",
                "name": "Stroke",
                "status": false,
                "displayOrder": 1,
                "cultureValue": "Stroke",
                "active": true,
                "deleted": false
            },
            {
                "createdBy": 1,
                "id": 2,
                "updatedBy": 1,
                "createdAt": "2023-05-23T12:15:19+00:00",
                "updatedAt": "2023-05-23T12:15:19+00:00",
                "name": "Foot Ulcers/Deformities",
                "status": false,
                "displayOrder": 6,
                "cultureValue": "Foot Ulcers/Deformities",
                "active": true,
                "deleted": false
            }
        ],
        "currentMedication": [
            {
                "createdBy": 1,
                "id": 1,
                "updatedBy": 1,
                "createdAt": "2023-05-23T12:15:19+00:00",
                "updatedAt": "2023-05-23T12:15:19+00:00",
                "name": "Insulin 70/30",
                "status": false,
                "type": "Diabetes",
                "displayOrder": 4,
                "cultureValue": "Insulin 70/30",
                "active": true,
                "deleted": false
            },
            {
                "createdBy": 1,
                "id": 2,
                "updatedBy": 1,
                "createdAt": "2023-05-23T12:15:19+00:00",
                "updatedAt": "2023-05-23T12:15:19+00:00",
                "name": "None",
                "status": false,
                "type": "Hypertension",
                "displayOrder": 1,
                "cultureValue": "None",
                "active": true,
                "deleted": false
            }
        ],
        "physicalExamination": [
            {
                "createdBy": 1,
                "id": 1,
                "updatedBy": 1,
                "createdAt": "2023-05-23T12:15:19+00:00",
                "updatedAt": "2023-05-23T12:15:19+00:00",
                "name": "Neurological Exam",
                "description": "Neurological Exam",
                "displayOrder": 8,
                "cultureValue": "Neurological Exam",
                "active": true,
                "deleted": false
            },
            {
                "createdBy": 1,
                "id": 2,
                "updatedBy": 1,
                "createdAt": "2023-05-23T12:15:19+00:00",
                "updatedAt": "2023-05-23T12:15:19+00:00",
                "name": "Oral Exam",
                "description": "Oral Exam",
                "displayOrder": 3,
                "cultureValue": "Oral Exam",
                "active": true,
                "deleted": false
            }
        ],
        "lifestyle": [
            {
                "id": 1,
                "name": "Have you ever consumed alcohol?",
                "displayOrder": 2,
                "answers": [
                    {
                        "name": "No",
                        "is_answer_dependent": false
                    },
                    {
                        "name": "Yes, In the past",
                        "is_answer_dependent": true
                    },
                    {
                        "name": "Yes, currently",
                        "is_answer_dependent": true
                    }
                ],
                "type": "ALCOHOL",
                "cultureValue": "Have you ever consumed alcohol?"
            },
            {
                "id": 2,
                "name": "About how many hours per week do you spend doing physical labor, walking, and/or exercising?",
                "displayOrder": 4,
                "answers": [
                    {
                        "name": "<1",
                        "is_answer_dependent": false
                    },
                    {
                        "name": "1-3",
                        "is_answer_dependent": false
                    },
                    {
                        "name": "4-9",
                        "is_answer_dependent": false
                    },
                    {
                        "name": "10-15",
                        "is_answer_dependent": false
                    },
                    {
                        "name": ">15",
                        "is_answer_dependent": false
                    }
                ],
                "type": "OTHER",
                "cultureValue": "About how many hours per week do you spend doing physical labor, walking, and/or exercising?"
            }
        ],
        "complaints": [
            {
                "id": 1,
                "name": "Recurrent dizziness",
                "displayOrder": 6,
                "cultureValue": "Recurrent dizziness"
            },
            {
                "id": 2,
                "name": "Loss of consciousness",
                "displayOrder": 3,
                "cultureValue": "Loss of consciousness"
            }
        ],
        "treatmentPlanFormData": {
            "forms": [
                {
                    "frequency_key": "hba1cCheckFrequency",
                    "label_name": "Hba1c Check Frequency"
                },
                {
                    "frequency_key": "bgCheckFrequency",
                    "label_name": "Blood Glucose Check Frequency"
                },
                {
                    "frequency_key": "bpCheckFrequency",
                    "label_name": "Blood Pressure Check Frequency"
                },
                {
                    "frequency_key": "medicalReviewFrequency",
                    "label_name": "Medical Review Frequency"
                }
            ],
            "options": [
                "Every Day",
                "Every Alternate Day",
                "Every 1 week",
                "Every 2 weeks",
                "Every 1 month",
                "Every 2 months",
                "Every 3 months",
                "Every 6 months",
                "Every 9 months",
                "Every 12 months"
            ]
        }
    },
    "status": true,
    "entityList": null,
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/versions/spice-1.0/engineering/api-documentation/spice-services/medical-review-static-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
